> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Object by ID

> API to fetch Object details by passing object type and ID.



## OpenAPI

````yaml GET /v1/object/{object_type}/{id}/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/object/{object_type}/{id}/:
    get:
      summary: Fetch Object by id
      description: API to fetch Object details by passing object type and ID.
      operationId: get-object-by-id
      parameters:
        - name: id
          in: path
          description: Unique identifier of the object in your system
          schema:
            type: string
          required: true
        - name: object_type
          in: path
          description: >-
            Used to group similar objects together. Give plural namespace like
            teams, organizations, and roles.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              examples:
                Result:
                  value:
                    object_type: departments
                    id: engineering
                    subscriptions_count: 0
                    properties:
                      $locale: en_GB
                    created_at: '2025-04-06T10:00:37.893892+00:00'
                    updated_at: '2025-04-06T10:00:37.893892+00:00'
                    $inbox:
                      - value: pO7w6x_HFZxCs30N4SHab05e3QIdB1e0xT2r4vQWjvM
                        id_provider: suprsend
                        status: active
                        perma_status: active
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: unique identifier of the object
                    example: engineering
                  object_type:
                    type: string
                    description: >-
                      Used to group similar objects together. Give plural
                      namespace like teams, organizations, and roles.
                    example: departments
                  subscriptions_count:
                    type: integer
                    description: number of users/child objects subscribed to the object
                    example: departments
                  properties:
                    type: object
                    description: >-
                      all user properties in key-value pair. SuprSend reserved
                      properties start with $
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-04-04T09:55:12.397Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-04-04T09:55:12.422Z'
                  $<channel>:
                    type: array
                    items:
                      type: object
                      properties:
                        value:
                          type: string
                          description: channel value
                        status:
                          type: string
                          example: active
                        perma_status:
                          type: string
                          description: >-
                            active/disabled. Perma_status is marked disabled in
                            case of hard bounce on the channel.
        '404':
          description: 404 - Not Found
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    message: object 'obj_type/obj_id' not found
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 404
                  message:
                    type: string
                    description: Error message describing the missing resource.
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````

Built with [Mintlify](https://mintlify.com).